<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Creacion de Planta para Sistema de Prefrio</title>
<style type="text/css">
<!--
input { font-family: Tahoma, Verdana, Arial; font-size: 11px; color: #FFFFFF; background-color: #6699CC; border: #000099; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px}
select { font-family: Tahoma, Verdana, Arial; font-size: 11px; color: #FFFFFF; background-color: #6699CC; border: #000099; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px}
-->
</style>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" /></head>

<body>
<form method="post" action="pf_creacion1.php">
<font face='tahoma' size="2">
<b>Ats Intech</b></font>
<hr />
<font face='tahoma' size="1">

<p><br />
</p>
<?
$configurando=1;
require('startinclude.php');

$nombre_planta=@$_REQUEST["nombre_planta"];
$nombre_planta2=@$_REQUEST["nombre_planta2"];

	$filas=0;
	$resultado="";
//cargamos desde C:\temp\prefrio.bak
$sql="RESTORE DATABASE [prefrio] FROM  DISK = N'C:\temp\prefrio.bak' WITH  FILE = 1,  NOUNLOAD,  REPLACE,  STATS = 10";
	
// BORRAMOS DATOS ANTIGUOS.
$sql="delete from pf_camara;";
$sql.="delete from pf_sensorxproceso;";
$sql.="delete from pf_sensorxcamara;";
$sql.="delete from pf_configuracion;";

ejecutarsql($sql,&$filas,&$resultado);	
// CREAMOS LA CONFIGURACION
$sql="insert into pf_configuracion(id_configuracion,valor) values (";
$sql.="'nombre_planta','$nombre_planta');";
$sql.="insert into pf_configuracion(id_configuracion,valor) values (";
$sql.="'nombre_planta2','$nombre_planta2');";

ejecutarsql($sql,&$filas,&$resultado);	

$usa_correlativo=@$_REQUEST["correlativo"]+0;
// CREAMOS LOS NUEVOS.
$xcorrelativo=1;
$tempi=0;
$tempf=0;
$ambi=0;
$ambf=0;
$otroi=0;
$otrof=0;

for ($i=1;$i<101;$i++) {
	$nombre=@$_REQUEST["nombre_".$i];
	if ($nombre) {
		$posicion=@$_REQUEST["posicion_".$i];
		$x=@$_REQUEST["x_".$i];
		$y=@$_REQUEST["y_".$i];
		$w=@$_REQUEST["ancho_".$i];
		$h=@$_REQUEST["alto_".$i];
		$maxpallet=@$_REQUEST["maxpallet_".$i];
		if (@$_REQUEST["tempi_".$i]!="*") {
			$tempi=@$_REQUEST["tempi_".$i]+0;
		}
		if (@$_REQUEST["tempf_".$i]!="*") {
			$tempf=@$_REQUEST["tempf_".$i]+0;
			if ($tempf==0) $tempf=$tempi;
		}
		if (@$_REQUEST["ambi_".$i]!="*") {
			$ambi=@$_REQUEST["ambi_".$i]+0;
		}
		if (@$_REQUEST["ambf_".$i]!="*") {
			$ambf=@$_REQUEST["ambf_".$i]+0;
			if ($ambf==0) $ambf=$ambf;
		}
		if (@$_REQUEST["otroi_".$i]!="*") {
			$otroi=@$_REQUEST["otroi_".$i]+0;
		}
		if (@$_REQUEST["otrof_".$i]!="*") {
			$otrof=@$_REQUEST["otrof_".$i]+0;
			if ($otrof==0) $otrof=$otroi;
		}
		
		
		
		$sql="insert into pf_camara(id_camara, nombre_camara, estado_actual, tipo_camara, proceso_actual, posicion_puerta, x, y, w, h, maxpallet) values ";
		$sql.=" ($i,'$nombre','V','PREF',0,'$posicion',$x,$y,$w,$h,$maxpallet);";
		ejecutarsql($sql,&$filas,&$resultado);	
		$orden=0;
		echo "<li>$nombre creada</li>";
		if ($tempi>0 && $tempf>0) {			
			$correlativo=0;
			for ($e=$tempi;$e<=$tempf;$e++) {
				 // insertar sensores.
				 $orden++;
				 $correlativo++;
				 $posicion=$orden-1;
				 if ($usa_correlativo) {
					$xcorrelativo++;
				} else {
					$xcorrelativo=$e;
				}

				 $sql="insert into pf_sensorxcamara (LecturaDirModulo, LecturaDirTipo, id_camara, id_status, Nombre_modulo, limite_minimo, limite_maximo ";
				 $sql.=",orden, Posicion, tipo_escala, solo_lectura) values (";
				 $sql.="$xcorrelativo,1,$i,'V','Temp $correlativo',-600,600,$orden,".($posicion+1).",0,1)";			 
				 ejecutarsql($sql,&$filas,&$resultado);	
			}		
		}
		if ($ambi>0 && $ambf>0) {	
			$correlativo=0;
			for ($e=$ambi;$e<=$ambf;$e++) {
				 // insertar sensores ambiente
				 $orden++;
				 $correlativo++;
				 $posicion=$orden-1;
				 
				 if ($usa_correlativo) {
	$xcorrelativo++;
} else {
	$xcorrelativo=@$e;
}

				 $sql="insert into pf_sensorxcamara (LecturaDirModulo, LecturaDirTipo, id_camara, id_status, Nombre_modulo, limite_minimo, limite_maximo ";
				 $sql.=",orden, Posicion, tipo_escala, solo_lectura) values (";
				 $sql.="$xcorrelativo,1,$i,'V','Amb $correlativo',-600,600,$orden,".($posicion+1).",0,1)";	
				 ejecutarsql($sql,&$filas,&$resultado);	
			}		
		}		
		if ($otroi>0 && $otrof>0) {		
			$correlativo=0;
			for ($e=$otroi;$e<=$otrof;$e++) {
				 // insertar sensores ambiente
				 $orden++;
				 $correlativo++;
				 
				 $posicion=$orden-1;
				 
				 if ($usa_correlativo) {
	$xcorrelativo++;
} else {
	$xcorrelativo=@$e;
}

				 $sql="insert into pf_sensorxcamara (LecturaDirModulo, LecturaDirTipo, id_camara, id_status, Nombre_modulo, limite_minimo, limite_maximo ";
				 $sql.=",orden, Posicion, tipo_escala, solo_lectura) values (";
				 $sql.="$xcorrelativo,3,$i,'V','Sensor $correlativo',-600,600,$orden,$posicion,5,1)";			 
				 ejecutarsql($sql,&$filas,&$resultado);	
			}		
		}			

	}	
}
?>       
<br /><br /><br />
<hr />
<font size="1">
<p align='center' style="line-height:100%; margin-top:0; margin-bottom:0;">Ats Intech 2008 Marķa Luisa Santander 0475 - Providencia - Santiago - Chile</p>
<p align='center' style="line-height:100%; margin-top:0; margin-bottom:0;">(56 -2 ) 341 12 71 fax (56-2) 341 12 75 ventas@atsintech.cl - Casilla 3425</p>
</font>
</body>
</html>
